> ## Documentation Index
> Fetch the complete documentation index at: https://glasser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Reseñar un Run

> Califica qué tan bien cumplió su parte un Run finalizado, después de usar su resultado. La reseña es privada para Glasser.

Califica lo que este Run debía aportar, no la tarea completa. Se conserva la primera reseña de un Run: una repetición devuelve `200` con `already_reviewed` y no se guarda. Una reseña nunca cambia el Run, su resultado ni su cargo.


## OpenAPI

````yaml /openapi.es.json post /v1/runs/{runId}/review
openapi: 3.1.0
info:
  title: Glasser
  version: 0.0.1
  description: >-
    Una API Key, sin contrato, con pago por llamada, para APIs de pago
    adquiridas al por mayor. Cada respuesta incluye x-request-id; cada cuerpo de
    error incluye el mismo sobre.
servers:
  - url: https://api.glasser.ai
security: []
tags:
  - name: Solutions
  - name: Endpoints
  - name: Runs
  - name: Balance
paths:
  /v1/runs/{runId}/review:
    post:
      tags:
        - Runs
      summary: Reseñar un Run
      description: >-
        Califica qué tan bien cumplió su parte un Run finalizado, después de
        usar su resultado, con un motivo opcional de hasta 200 caracteres. La
        reseña es privada para Glasser y nunca cambia el Run, su resultado ni su
        cargo.


        - **201:** la reseña se registró.

        - **200:** el Run ya tiene una reseña. Se conserva la primera; este
        envío no se guarda.

        - **409:** el Run todavía no ha finalizado.
      operationId: runs-review
      parameters:
        - name: runId
          in: path
          schema:
            type: string
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                rating:
                  type: string
                  enum:
                    - exceeds_expectations
                    - meets_expectations
                    - partially_meets_expectations
                    - does_not_meet_expectations
                    - unable_to_assess
                  description: >-
                    Califica lo que este Run debía aportar, no la tarea
                    completa. Ejemplo: se pidió al Run 20 empresas que cumplan
                    los criterios y tengan correos verificados.
                    exceeds_expectations: cumplió su parte y aportó más
                    información útil (las 20 cumplen y las 20 tienen correos
                    verificados, además de señales de compra recientes útiles
                    para la prospección). meets_expectations: cumplió su parte
                    (las 20 cumplen y las 20 tienen correos verificados).
                    partially_meets_expectations: una carencia conocida (las 20
                    cumplen los criterios, solo 5 tienen correos verificados).
                    does_not_meet_expectations: el resultado no sirve para su
                    parte (ninguna está en el sector objetivo).
                    unable_to_assess: no hay pruebas suficientes para juzgar (se
                    devolvieron correos sin estado de verificación y sin forma
                    de saberlo). Si otro Run debía verificar los correos, un Run
                    que encontró 20 empresas que cumplen los criterios cumple
                    las expectativas.
                reason:
                  anyOf:
                    - type: string
                      maxLength: 200
                      description: >-
                        Opcional. Por qué elegiste la calificación, en hasta 200
                        caracteres: qué faltaba, qué estaba mal o qué fue
                        especialmente útil. Omite datos privados.
                    - type: 'null'
              required:
                - rating
              additionalProperties: false
        required: true
      responses:
        '200':
          description: el Run ya tiene una reseña; se conserva la primera
          content:
            application/json:
              schema:
                type: object
                properties:
                  review_id:
                    type: string
                  run_id:
                    type: string
                  status:
                    type: string
                    enum:
                      - recorded
                      - already_reviewed
                    description: >-
                      recorded: este envío se guardó. already_reviewed: este Run
                      ya tiene una reseña; se conserva la primera y este envío
                      no se guardó.
                  created_at:
                    type: string
                    description: Cuándo se envió la reseña conservada.
                    format: date-time
                required:
                  - review_id
                  - run_id
                  - status
                  - created_at
                additionalProperties: false
        '201':
          description: una reseña recién registrada
          content:
            application/json:
              schema:
                type: object
                properties:
                  review_id:
                    type: string
                  run_id:
                    type: string
                  status:
                    type: string
                    enum:
                      - recorded
                      - already_reviewed
                    description: >-
                      recorded: este envío se guardó. already_reviewed: este Run
                      ya tiene una reseña; se conserva la primera y este envío
                      no se guardó.
                  created_at:
                    type: string
                    description: Cuándo se envió la reseña conservada.
                    format: date-time
                required:
                  - review_id
                  - run_id
                  - status
                  - created_at
                additionalProperties: false
        '400':
          description: ValidationFailed
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ValidationFailedEncoded'
                  - $ref: '#/components/schemas/ValidationFailedEncoded'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedEncoded'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenEncoded'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundEncoded'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
      security:
        - bearer: []
components:
  schemas:
    ValidationFailedEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - validation_failed
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    UnauthorizedEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - unauthorized
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    ForbiddenEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - forbidden
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    NotFoundEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - not_found
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    ConflictEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - conflict
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - rate_limited
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
  securitySchemes:
    bearer:
      type: http
      scheme: Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.